Documentation Index

Fetch the complete documentation index at: https://docs.xendit.co/llms.txt

Use this file to discover all available pages before exploring further.

For archived content, access the previous documentation here or the previous API reference here.

Delete file by ID

Prev Next
Delete
/files/{file_id}

Make a Delete request to this endpoint to delete the file

Security
HTTP
Type Basic
Path parameters
file_id
stringRequired

Unique ID generated by Xendit for the particular file

Responses
200

Successful operation

deleteFile
{
  "is_deleted": true,
  "id": "file-ec700c1c-db17-4496-b1fb-04ebe551b412",
  "business_id": "b647524d-9c5d-414c-843a-3c819853d6b0"
}
object
id
string

File ID

business_id
string

Unique ID generated by Xendit for the particular file

is_deleted
boolean
404

The provided id does not exist. Please review the id and try again

object
error_code
string
Valid values[ "RATE_LIMIT_EXCEEDED" ]
message
string
errors
Array
OneOf
string
string
object
object